Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.web.dhtml
Interface SimpleDHtmlAPI

All Known Subinterfaces:
  DHtmlAPI

    public interface SimpleDHtmlAPI

This an API of JReport ver. 7. It is recommended to use APIs of ver. 8. DHTML API provides the API interface for users. With DHTML API, user can easily embed the DHTML page or components into their own JSP. All the methods in this interface can be invoked by remote server (RMI).

Support multi-report running in one session

Descriptions of some key terms:

runtime id: the key of all reports running in server(generated by server automatically when you run a report). Methods using runtime id must be called after the code "Map tmpmap = DHTMLUtil.runReport(request, params);" in dhtml.jsp.

session id: the key of the session in server(generated by server automatically when you login). Methods using session id must be called before the code "Map tmpmap = DHTMLUtil.runReport(request, params);" in dhtml.jsp. For methods based on configuration and without parameters, SimpleDhtmlAPI.setIgnoreServerSetting(true) must be used.

Support three levels of settings in our server:

1. Set on server level.

For example: setUserbarEnabled(boolean b) is to set the default value whether userbar is enabled or not on server level . This value will be used by the users who log in the server after it is set. However, the value of this setting on the session level or the report level has the higher priority than it is on this server level.

2. Set on session level.

For example: setUserbarEnabled(String id, boolean b) is to set the default value whether userbar is enabled or not on session level. the param id here must be session id. After it is set, all opened and later reports under this session will take this value. setApplyToOpenedReports(String sessionid, boolean isApply) can be then called by setting isApply false to prevent the effect to the opend reports.

3. Set on report level.

For example: setUserbarEnabled(String id, boolean b) is to set the default value whether userbar is enabled on report level. the param id here must be runtime id. After it is set, only the report specified by this runtime id will be affected.

Note of using DHTML API :

You must follow a certain order for the method which use the parameter "id" in dhtml.jsp. For example: setUserbarEnabled(String id, boolean b) must be called after the code "int intCheckRet = service.checkUser(id,us.getUserID());", because the parameter "id" is offered by the method "checkUser(String id, String name)". If the wrong order is used, a jsp error will be generated. And there is no specified order for the other api method that donot use the parameter "id".

Method Summary
`void` | `addExpiryListener(java.lang.String id)` Adds the ExpiryListener to the specified UserSession.
`boolean` | `checkUser(java.lang.String id)` Check user session if it exists.
`int` | `checkUser(java.lang.String id, java.lang.String name)` Creates a user when the specified user doesn't exists.
`void` | `closeDHTMLReport(java.lang.String id, java.lang.String reportId)` Close the special report
`byte[]` | `copyOctet(java.lang.String id, java.lang.String translate)` Copies the content of the specified binary file to a byte array.
`byte[]` | `copyRstFile(java.lang.String id)` Copy a part result file into the byte array.
`char[]` | `copyText(java.lang.String id, java.lang.String translate)` Copies the content of the specified text file to a char array.
`void` | `customizeToolbar(java.lang.String id, int buttonId, boolean isVisible)` Customizes the toolbar buttons and specifies whether the buttons are visible.
`void` | `customizeToolbar(java.lang.String id, int buttonId, boolean isVisible, java.lang.String method)` Customizes the toolbar buttons and specifies whether the buttons are visible and the action of the button.
`void` | `destroy()` Destroys DHTML API when exit.
`java.util.Vector` | `dispatch(java.lang.String id, java.util.Hashtable params)` Responses and processes all the requests from DHTML client.
`void` | `expire(java.lang.String id)` Destroys user session when it expires.
`boolean` | `getAutoRefresh()` Gets refresh informations.
`DHTMLToolkit` | `getDHTMLToolkit()` Gets the DHTMLToolkit.
`int` | `getFilterDisplayNameSortType(java.lang.String id)` Determines the sort type of filter panel column display name sort.
`java.lang.String` | `getHelpImagePath()` Gets the physical path of user guide image resources.
`java.lang.String` | `getHostName()` Gets the host name,
`java.lang.String` | `getImagePath()` Gets the physical path of the image resources.
`java.lang.String` | `getJS_CSSPath()` Gets the physical path of the java script and css file.
`java.lang.String` | `getMainPage()` Get the path and filename of user main page.
`int` | `getMaxConcurrent()`
`java.lang.String` | `getNewOpenedRuntimeId(java.lang.String id)` Get all the report keys in the session
`int` | `getOpenedReports(java.lang.String id)` Gets the number of opened reports.
`java.lang.String` | `getPath()` Gets the parent dir of rscUri dir.
`int` | `getQueueSize()`
`int` | `getRefreshInterval(java.lang.String id)` Return the user expiring time, in seconds.
`java.lang.String` | `getReportName(java.lang.String id, int index)` Gets the report name by index.
`int` | `getReportScroll(java.lang.String id)` Gets the report frame scrollbar type.
`java.util.List` | `getReportsId(java.lang.String id)` Get all the report id in the session
`int` | `getReportTimeout(java.lang.String id)` Get the report expiring time, in seconds.
`java.lang.String` | `getRscPath()` Gets the RscPath.
`java.lang.String` | `getRscUri()` Gets the RscUri.
`java.lang.String` | `getRstFileName(java.lang.String id)` Gets the save result file name.
`java.lang.String` | `getRSTRemoteFullPath(java.lang.String id)` get the RST remote full path
`java.util.List` | `getRuntimesId(java.lang.String id)` Get all the report keys in the session
`java.util.List` | `getRuntimesId(java.lang.String id, java.lang.String fullCatalogName, java.lang.String fullReportName)` Get all the report keys in the session
`int` | `getSearchDisplayNameSortType(java.lang.String id)` Determines the sort type of search dialog column display name sort.
`int` | `getSortDisplayNameSortType(java.lang.String id)` Determines the sort type of sort panel column display name sort.
`java.lang.String[]` | `getStyle()` Gets the style name list.
`java.lang.String` | `getTitle()` Gets current Browser's title text.
`java.lang.String` | `getTitle(java.lang.String id)` Gets current Browser's title text.
`java.lang.String` | `getURI()` Gets the uri.
`boolean` | `getUserAutoRefresh(java.lang.String id)` Gets the user refresh informations according to the user id.
`java.lang.String` | `getUserEncoding(java.lang.String id)` Gets the user encoding informations according to the user id.
`java.lang.String` | `initMainPage(java.lang.String id, java.util.Hashtable params)` init the mainpage
`boolean` | `isAdvanceUserEnabled()` Determines whether the advanceuser mode is enabled.
`boolean` | `isAdvanceUserEnabled(java.lang.String id)` Determines whether the advanceuser mode is enabled.
`boolean` | `isCreateEnabled()` Determines whether the new feature is enabled.
`boolean` | `isCreateEnabled(java.lang.String id)` Determines whether the new feature is enabled.
`boolean` | `isDetailReport(java.lang.String id)` Determines whether the current report is the detail report.
`boolean` | `isDisplayNameSortEnabled(java.lang.String id)` Determines whether the sort column display name is enabled.
`boolean` | `isDrillEnabled()` Determines whether the drill feature is enabled.
`boolean` | `isDrillEnabled(java.lang.String id)` Determines whether the drill feature is enabled.
`boolean` | `isExportEnabled()` Determines whether the export feature is enabled.
`boolean` | `isExportEnabled(java.lang.String id)` Determines whether the export feature is enabled.
`boolean` | `isFilterEnabled()` Determines whether filter is enabled
`boolean` | `isFilterEnabled(java.lang.String id)` Determines whether filter is enabled
`boolean` | `isFirstDetail(java.lang.String id)` Determines whether the current detail report is the first detail report.
`boolean` | `isFrameEnabled()` Determines whether frame mode is enabled
`boolean` | `isFrameEnabled(java.lang.String id)` Determines whether frame mode is enabled
`boolean` | `isIgnoreServerSetting()` Determines whether the server settings are ignored.
`boolean` | `isLastDetail(java.lang.String id)` Determines whether the current detail report is the last detail report.
`boolean` | `isLocalSave(java.lang.String id)` Determines whether the save location is local.
`boolean` | `isMainMenuVisible(java.lang.String id)`
`boolean` | `isMenuEnabled()` Determines whether the menu feature is enabled.
`boolean` | `isMenuEnabled(java.lang.String id)` Determines whether the menu feature is enabled.
`boolean` | `isNavEnabled()` Determines whether the navigation feature is enabled.
`boolean` | `isNavEnabled(java.lang.String id)` Determines whether the navigation feature is enabled.
`boolean` | `isNavibarVisible(java.lang.String id)` Determines whether the Navigation bar is visible.
`boolean` | `isPopupMenuEnabled()` Determines whether the pop up menu is enabled.
`boolean` | `isPopupMenuEnabled(java.lang.String id)` Determines whether the pop up menu is enabled.
`boolean` | `isPrintEnabled()` Determines whether print is enabled.
`boolean` | `isPrintEnabled(java.lang.String id)` Determines whether print is enabled.
`boolean` | `isRefreshEnabled()` Determines whether the refresh feature is enabled.
`boolean` | `isRefreshEnabled(java.lang.String id)` Determines whether the refresh feature is enabled.
`boolean` | `isResetEnabled()` Determines whether the reset feature is enabled.
`boolean` | `isResetEnabled(java.lang.String id)` Determines whether the reset feature is enabled.
`boolean` | `isRestrictAction(int intOP)`
`boolean` | `isSaveEnabled()` Determines whether the save feature is enabled.
`boolean` | `isSaveEnabled(java.lang.String id)` Determines whether the save feature is enabled.
`boolean` | `isSaveResultEnabled()` Determines whether the save result feature is enabled.
`boolean` | `isSaveResultEnabled(java.lang.String id)` Determines whether the save result feature is enabled.
`boolean` | `isSearchEnabled()` Determines whether the search feature is enabled.
`boolean` | `isSearchEnabled(java.lang.String id)` Determines whether the search feature is enabled.
`boolean` | `isSkinEnabled()` Determines whether the skin feature is enabled.
`boolean` | `isSkinEnabled(java.lang.String id)` Determines whether the skin feature is enabled.
`boolean` | `isSortEnabled()` Determines whether sort is enabled.
`boolean` | `isSortEnabled(java.lang.String id)` Determines whether sort is enabled.
`boolean` | `isStyleEnabled()` Determines whether the style feature is enabled.
`boolean` | `isStyleEnabled(java.lang.String id)` Determines whether the style feature is enabled.
`boolean` | `isSupport(java.lang.String user_agent)` Determines whether the user agent (browser) is supported.
`boolean` | `isTocEnabled()` Determines whether Table Of Content is enabled
`boolean` | `isTocEnabled(java.lang.String id)` Determines whether Table Of Content is enabled.
`boolean` | `isTocGroupbyNameVisible()` Determines whether display Groupby field name before each TOC entry feature is enabled.
`boolean` | `isTocGroupbyNameVisible(java.lang.String id)` Determines whether display Groupby field name before each TOC entry feature is enabled.
`boolean` | `isTocVisible(java.lang.String id)` Determines whether the Table Of Content is visible.
`boolean` | `isToolbarEnabled()` Determines whether the toolbar feature is enabled.
`boolean` | `isToolbarEnabled(java.lang.String id)` Determines whether the toolbar feature is enabled.
`boolean` | `isToolbarVisible(java.lang.String id)` Determines whether the Toolbar is visible.
`boolean` | `isUnredoEnabled()` Determines whether the undo/redo feature is enabled.
`boolean` | `isUnredoEnabled(java.lang.String id)` Determines whether the undo/redo feature is enabled.
`boolean` | `isUserbarEnabled()` Determines whether user information panel is enabled
`boolean` | `isUserbarEnabled(java.lang.String id)` Determines whether user information panel is enabled
`boolean` | `isUserbarVisible(java.lang.String id)` Determines whether the user information panel is visible.
`boolean` | `isZoomEnabled()` Determines whether the zoom feature is enabled.
`boolean` | `isZoomEnabled(java.lang.String id)` Determines whether the zoom feature is enabled.
`char[]` | `mainPage(java.lang.String id)` Writes the content of the DHTML default main page to a char array.
`char[]` | `publishRptCss(java.lang.String id)` Writes the CSS definition list of current report to a char array.
`void` | `setAdvanceUserEnabled(boolean b)` Sets the advanceuser mode enabled.
`void` | `setAdvanceUserEnabled(java.lang.String id, boolean b)` Sets the advanceuser mode enabled.
`void` | `setApplyToOpenedReports(java.lang.String id, boolean isApply)` Determines whether all of the opened reports in session will be affected when set the session properties
`void` | `setAutoRefresh(boolean autoRefresh)` Sets refresh informations.
`void` | `setContextPath(java.lang.String strPath)` Set the server context path
`void` | `setCreateEnabled(boolean b)` Sets the new feature enabled.
`void` | `setCreateEnabled(java.lang.String id, boolean b)` Sets the new feature enabled.
`void` | `setCssFolder(java.lang.String folderName)` set the DHTML css folder name.
`void` | `setDebug(boolean b)` Sets the debug mode.
`void` | `setDHTMLJSPPath(java.lang.String pathName)` set the DHTML JSP path name.
`void` | `setDisplayNameSortEnabled(java.lang.String id, boolean isEnabled)` Sets sort column display name enabled.
`void` | `setDrillEnabled(boolean b)` Sets the drill feature enabled.
`void` | `setDrillEnabled(java.lang.String id, boolean b)` Sets the drill feature enabled.
`void` | `setErrorPage(java.lang.String filePath)` Sets the path and filename of user's error page, which is used to customize the user's own error page.
`void` | `setExportEnabled(boolean b)` Sets the export feature enabled.
`void` | `setExportEnabled(java.lang.String id, boolean b)` Sets the export feature enabled.
`void` | `setFilterDisplayNameSortType(java.lang.String id, int sortType)` Sets the sort type of filter panel column display name sort.
`void` | `setFilterEnabled(boolean b)` Sets the filter enabled.
`void` | `setFilterEnabled(java.lang.String id, boolean b)` Sets the filter enabled.
`void` | `setFrameEnabled(boolean b)` Sets the frame mode enabled.
`void` | `setFrameEnabled(java.lang.String id, boolean b)` Sets the frame mode enabled.
`void` | `setHelpImagePath(java.lang.String path)` Sets the physical path of user guide image resources.
`void` | `setHostName(java.lang.String host)` Sets the host name, used by server monitor manager.
`void` | `setIgnoreServerSetting(boolean b)` Sets whether to ignore server settings.
`void` | `setImageFolder(java.lang.String folderName)` set the DHTML image folder name.
`void` | `setImagePath(java.lang.String path)` Sets the physical path of the image resources.
`void` | `setJS_CSSPath(java.lang.String path)` Sets the physical path of the java script and css file.
`void` | `setJsFolder(java.lang.String folderName)` set the DHTML javascript folder name.
`void` | `setMainMenuVisible(java.lang.String id, boolean b)`
`void` | `setMainPage(java.lang.String filePath)` Sets the path and filename of user's main page, which is used to customize the user's own main page.
`void` | `setMenuEnabled(boolean b)` Sets the menu feature enabled.
`void` | `setMenuEnabled(java.lang.String id, boolean b)` Sets the menu feature enabled.
`void` | `setNavEnabled(boolean b)` Sets the navigation feature enabled.
`void` | `setNavEnabled(java.lang.String id, boolean b)` Sets the navigation feature enabled.
`void` | `setNavibarVisible(java.lang.String id, boolean b)` Sets the Navigation bar visible.
`void` | `setPath(java.lang.String path)` Sets the parent dir of rscUri dir.
`void` | `setPopupMenuEnabled(boolean b)` Sets the pop up menu enabled.
`void` | `setPopupMenuEnabled(java.lang.String id, boolean b)` Sets the pop up menu enabled.
`void` | `setPrintEnabled(boolean b)` Sets the print feature enabled.
`void` | `setPrintEnabled(java.lang.String id, boolean b)` Sets the print feature enabled.
`void` | `setRefreshEnabled(boolean b)` Sets the refresh feature enabled.
`void` | `setRefreshEnabled(java.lang.String id, boolean b)` Sets the refresh feature enabled.
`void` | `setRefreshInterval(java.lang.String id, int timeout)` Sets the user session expiring time, in seconds.
`void` | `setReportNum(java.lang.String id, int rptNum)` Set the report number can run in one session
`void` | `setReportScroll(java.lang.String id, int type)` Sets the report frame scrollbar type.
`void` | `setReportTimeout(java.lang.String id, int time)` Sets the report expiring time, in seconds.
`void` | `setResetEnabled(boolean b)` Sets the reset feature enabled.
`void` | `setResetEnabled(java.lang.String id, boolean b)` Sets the reset feature enabled.
`void` | `setSaveEnabled(boolean b)` Sets the save feature enabled.
`void` | `setSaveEnabled(java.lang.String id, boolean b)` Sets the save feature enabled.
`void` | `setSaveResultEnabled(boolean b)` Sets the save result feature enabled.
`void` | `setSaveResultEnabled(java.lang.String id, boolean b)` Sets the save result feature enabled.
`void` | `setSearchDisplayNameSortType(java.lang.String id, int sortType)` Sets the sort type of search dialog column display name sort.
`void` | `setSearchEnabled(boolean b)` Sets the search feature enabled.
`void` | `setSearchEnabled(java.lang.String id, boolean b)` Sets the search feature enabled.
`void` | `setSkinEnabled(boolean b)` Sets the skin feature enabled.
`void` | `setSkinEnabled(java.lang.String id, boolean b)` Sets the skin feature enabled.
`void` | `setSkins(java.lang.String path, java.lang.String name)` Sets the skin file path and file name.
`void` | `setSortDisplayNameSortType(java.lang.String id, int sortType)` Sets the sort type of sort panel column display name sort.
`void` | `setSortEnabled(boolean b)` Sets the sort enabled.
`void` | `setSortEnabled(java.lang.String id, boolean b)` Sets the sort enabled.
`void` | `setStyle(java.lang.String[] styles)` Sets the names of the report style, which should be defined in JReport Designer.
`void` | `setStyleEnabled(boolean b)` Sets the style feature enabled.
`void` | `setStyleEnabled(java.lang.String id, boolean b)` Sets the style feature enabled.
`void` | `setTitle(java.lang.String title)` Sets the Browser's title text.
`void` | `setTitle(java.lang.String id, java.lang.String title)` Sets the Browser's title text.
`void` | `setTocEnabled(boolean b)` Sets the Table Of Content enabled.
`void` | `setTocEnabled(java.lang.String id, boolean b)` Sets the Table Of Content enabled.
`void` | `setTocGroupbyNameVisible(boolean b)` Sets feature that display groupby field name before each TOC entry enabled.
`void` | `setTocGroupbyNameVisible(java.lang.String id, boolean b)` Sets feature that display groupby field name before each TOC entry enabled.
`void` | `setTocVisible(java.lang.String id, boolean b)` Sets the Table Of Content visible.
`void` | `setToolbarEnabled(boolean b)` Sets the toolbar feature enabled.
`void` | `setToolbarEnabled(java.lang.String id, boolean b)` Sets the toolbar feature enabled.
`void` | `setToolbarVisible(java.lang.String id, boolean b)` Sets the Toolbar visible.
`void` | `setUnredoEnabled(boolean b)` Sets the undo/redo feature enabled.
`void` | `setUnredoEnabled(java.lang.String id, boolean b)` Sets the undo/redo feature enabled.
`void` | `setURI(java.lang.String uri)` Sets the uri.
`void` | `setUserAgent(java.lang.String user_agent)` Sets the user agent infomation.
`void` | `setUserAutoRefresh(java.lang.String id, boolean autoRefresh)` Sets the user refresh informations according to the user id.
`void` | `setUserbarEnabled(boolean b)` Sets the user information panel enabled.
`void` | `setUserbarEnabled(java.lang.String id, boolean b)` Sets the user information panel enabled.
`void` | `setUserbarVisible(java.lang.String id, boolean b)` Sets the user information panel visible.
`void` | `setZoomEnabled(boolean b)` Sets the zoom feature enabled.
`void` | `setZoomEnabled(java.lang.String id, boolean b)` Sets the zoom feature enabled.
`char[]` | `welcomePage(java.lang.String id, java.util.Hashtable params)` Writes the content of the DHTML default welcome page to a char array.

Method Detail

### setPath

    void setPath(java.lang.String path)

  Sets the parent dir of rscUri dir.

  Parameters:
    `path` - - the physical dir on disk.

### getPath

    java.lang.String getPath()

  Gets the parent dir of rscUri dir.

  Returns:
    the physical dir on disk.

### setURI

    void setURI(java.lang.String uri)
                throws java.io.IOException

  Sets the uri. This URI is used to specify background servlet mapping name.

  Parameters:
    `uri` - - the URI string
  Throws:
    `java.io.IOException`

### getURI

    java.lang.String getURI()

  Gets the uri.

  Returns:
    the uri string

### getRscUri

    java.lang.String getRscUri()

  Gets the RscUri.

  Returns:
    the RscUri string.

### getRscPath

    java.lang.String getRscPath()

  Gets the RscPath.

  Returns:
    the RscUri string

### setSkins

    void setSkins(java.lang.String path,
                  java.lang.String name)
                  throws java.io.IOException

  Sets the skin file path and file name.

  Parameters:
    `path` - skin file path
    `name` - skin file name
  Throws:
    `java.io.IOException`

### setTitle

    void setTitle(java.lang.String title)

  Sets the Browser's title text.

  Parameters:
    `title` - the browser's title text

### getTitle

    java.lang.String getTitle()

  Gets current Browser's title text.

  Returns:
    the browser's title text

### setTitle

    void setTitle(java.lang.String id,
                  java.lang.String title)

  Sets the Browser's title text.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `title` - the browser's title text

### getTitle

    java.lang.String getTitle(java.lang.String id)

  Gets current Browser's title text.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    the browser's title text

### setStyle

    void setStyle(java.lang.String[] styles)

  Sets the names of the report style, which should be defined in JReport Designer.

  Parameters:
    `styles` - the style name list.

### getStyle

    java.lang.String[] getStyle()

  Gets the style name list.

  Returns:
    style name list.

### setHostName

    void setHostName(java.lang.String host)

  Sets the host name, used by server monitor manager. If there is no monitor, it is not necessary to invoke this method.

  Parameters:
    `host` - the host name.

### getHostName

    java.lang.String getHostName()

  Gets the host name,

  Returns:
    the host name.

### checkUser

    int checkUser(java.lang.String id,
                  java.lang.String name)
                  throws RptServerException,
                         java.io.IOException

  Creates a user when the specified user doesn't exists.

  Parameters:
    `id` - the user session id.
    `name` - user name.
  Throws:
    `RptServerException`
    `java.io.IOException`

### checkUser

    boolean checkUser(java.lang.String id)

  Check user session if it exists.

  Parameters:
    `id` - the session id

### expire

    void expire(java.lang.String id)

  Destroys user session when it expires.

  Parameters:
    `id` - the user session id.

### setJS_CSSPath

    void setJS_CSSPath(java.lang.String path)

  Sets the physical path of the java script and css file.

  Parameters:
    `path` - the absolute path.

### getJS_CSSPath

    java.lang.String getJS_CSSPath()

  Gets the physical path of the java script and css file.

  Returns:
    the physical path of the java script and css file

### setImagePath

    void setImagePath(java.lang.String path)

  Sets the physical path of the image resources.

  Parameters:
    `path` - the physical path of the image resources

### getImagePath

    java.lang.String getImagePath()

  Gets the physical path of the image resources.

  Returns:
    the physical path of the image resources

### setHelpImagePath

    void setHelpImagePath(java.lang.String path)

  Sets the physical path of user guide image resources.

  Parameters:
    `path` - the physical path of user guide image resources

### getHelpImagePath

    java.lang.String getHelpImagePath()

  Gets the physical path of user guide image resources.

  Returns:
    the physical path of user guide image resources

### copyText

    char[] copyText(java.lang.String id,
                    java.lang.String translate)
                    throws java.io.IOException

  Copies the content of the specified text file to a char array.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `translate` - the text file name
  Returns:
    a char array
  Throws:
    `java.io.IOException`

### copyOctet

    byte[] copyOctet(java.lang.String id,
                     java.lang.String translate)
                     throws java.io.IOException

  Copies the content of the specified binary file to a byte array.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `translate` - the binary file name
  Returns:
    a byte array
  Throws:
    `java.io.IOException`

### publishRptCss

    char[] publishRptCss(java.lang.String id)
                         throws java.io.IOException

  Writes the CSS definition list of current report to a char array.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    a char array
  Throws:
    `java.io.IOException`

### mainPage

    char[] mainPage(java.lang.String id)
                    throws java.io.IOException,
                           RptServerException

  Writes the content of the DHTML default main page to a char array.

  Parameters:
    `id` - the runtime report id
  Returns:
    a char array
  Throws:
    `java.io.IOException`
    `RptServerException`

### welcomePage

    char[] welcomePage(java.lang.String id,
                       java.util.Hashtable params)
                       throws java.io.IOException,
                              RptServerException

  Writes the content of the DHTML default welcome page to a char array. This method must be invoked otherwise the main page will not be invoked.

  Parameters:
    `id` - the user session id.
    `params` - parameters needed to run the report. If you will use relative path in dhtml, param params should contain three parameter as following : DHTMLConstant.DHTML_SERVLET_PATH, the value is dhtml servlet path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTML)), DHTMLConstant.DHTML_JSP_PATH, the value is dhtml jsp path that can be got like this:: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTMLJSP)), DHTMLConstant.DHTML_HELP_PATH, the value is dhtml help servlet path that can be got like this:: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_HELP)).
  Returns:
    a char array
  Throws:
    `java.io.IOException`
    `RptServerException`

### dispatch

    java.util.Vector dispatch(java.lang.String id,
                              java.util.Hashtable params)
                              throws InvalidParameterException,
                                     RptServerException,
                                     java.io.IOException

  Responses and processes all the requests from DHTML client.

  Parameters:
    `id` - the user session id.
    `params` - client request query in hashtable type If you will use relative path in dhtml, param params should contain three parameter as following : DHTMLConstant.DHTML_SERVLET_PATH, the value is dhtml servlet path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTML)), DHTMLConstant.DHTML_JSP_PATH, the value is dhtml jsp path that can be got like this:: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTMLJSP)), DHTMLConstant.DHTML_HELP_PATH, the value is dhtml help servlet path that can be got like this:: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_HELP)).
  Returns:
    a Vector, which includes two elements: an Integer object (operation code) and a byte array (the requested content).
  Throws:
    `InvalidParameterException`
    `RptServerException`
    `java.io.IOException`

### destroy

    void destroy()

  Destroys DHTML API when exit.

### setDebug

    void setDebug(boolean b)

  Sets the debug mode.

### setUserbarEnabled

    void setUserbarEnabled(boolean b)

  Sets the user information panel enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isUserbarEnabled

    boolean isUserbarEnabled()

  Determines whether user information panel is enabled

  Returns:
    true if this DHTML feature is enabled; false otherwise

### setUserbarEnabled

    void setUserbarEnabled(java.lang.String id,
                           boolean b)

  Sets the user information panel enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isUserbarEnabled

    boolean isUserbarEnabled(java.lang.String id)

  Determines whether user information panel is enabled

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setTocEnabled

    void setTocEnabled(boolean b)

  Sets the Table Of Content enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise this DHTML feature is disabled.

### isTocEnabled

    boolean isTocEnabled()

  Determines whether Table Of Content is enabled

  Returns:
    true if this DHTML feature is enabled; false otherwise

### setTocEnabled

    void setTocEnabled(java.lang.String id,
                       boolean b)

  Sets the Table Of Content enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise this DHTML feature is disabled.

### isTocEnabled

    boolean isTocEnabled(java.lang.String id)

  Determines whether Table Of Content is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setFilterEnabled

    void setFilterEnabled(boolean b)

  Sets the filter enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise this DHTML feature is disabled.

### setFilterEnabled

    void setFilterEnabled(java.lang.String id,
                          boolean b)

  Sets the filter enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise this DHTML feature is disabled.

### isFilterEnabled

    boolean isFilterEnabled()

  Determines whether filter is enabled

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isFilterEnabled

    boolean isFilterEnabled(java.lang.String id)

  Determines whether filter is enabled

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setSortEnabled

    void setSortEnabled(boolean b)

  Sets the sort enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### setSortEnabled

    void setSortEnabled(java.lang.String id,
                        boolean b)

  Sets the sort enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isSortEnabled

    boolean isSortEnabled()

  Determines whether sort is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isSortEnabled

    boolean isSortEnabled(java.lang.String id)

  Determines whether sort is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setSaveEnabled

    void setSaveEnabled(boolean b)

  Sets the save feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise.

### setSaveEnabled

    void setSaveEnabled(java.lang.String id,
                        boolean b)

  Sets the save feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise.

### isSaveEnabled

    boolean isSaveEnabled()

  Determines whether the save feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isSaveEnabled

    boolean isSaveEnabled(java.lang.String id)

  Determines whether the save feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setSaveResultEnabled

    void setSaveResultEnabled(boolean b)

  Sets the save result feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise.

### setSaveResultEnabled

    void setSaveResultEnabled(java.lang.String id,
                              boolean b)

  Sets the save result feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise.

### isSaveResultEnabled

    boolean isSaveResultEnabled()

  Determines whether the save result feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isSaveResultEnabled

    boolean isSaveResultEnabled(java.lang.String id)

  Determines whether the save result feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setExportEnabled

    void setExportEnabled(boolean b)

  Sets the export feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### setExportEnabled

    void setExportEnabled(java.lang.String id,
                          boolean b)

  Sets the export feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isExportEnabled

    boolean isExportEnabled()

  Determines whether the export feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isExportEnabled

    boolean isExportEnabled(java.lang.String id)

  Determines whether the export feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setPrintEnabled

    void setPrintEnabled(boolean b)

  Sets the print feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise.

### setPrintEnabled

    void setPrintEnabled(java.lang.String id,
                         boolean b)

  Sets the print feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise.

### isPrintEnabled

    boolean isPrintEnabled()

  Determines whether print is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isPrintEnabled

    boolean isPrintEnabled(java.lang.String id)

  Determines whether print is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setSearchEnabled

    void setSearchEnabled(boolean b)

  Sets the search feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise.

### setSearchEnabled

    void setSearchEnabled(java.lang.String id,
                          boolean b)

  Sets the search feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise.

### isSearchEnabled

    boolean isSearchEnabled()

  Determines whether the search feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isSearchEnabled

    boolean isSearchEnabled(java.lang.String id)

  Determines whether the search feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setStyleEnabled

    void setStyleEnabled(boolean b)

  Sets the style feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise.

### setStyleEnabled

    void setStyleEnabled(java.lang.String id,
                         boolean b)

  Sets the style feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise.

### isStyleEnabled

    boolean isStyleEnabled()

  Determines whether the style feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isStyleEnabled

    boolean isStyleEnabled(java.lang.String id)

  Determines whether the style feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setZoomEnabled

    void setZoomEnabled(boolean b)

  Sets the zoom feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise.

### setZoomEnabled

    void setZoomEnabled(java.lang.String id,
                        boolean b)

  Sets the zoom feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise.

### isZoomEnabled

    boolean isZoomEnabled()

  Determines whether the zoom feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isZoomEnabled

    boolean isZoomEnabled(java.lang.String id)

  Determines whether the zoom feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setSkinEnabled

    void setSkinEnabled(boolean b)

  Sets the skin feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### setSkinEnabled

    void setSkinEnabled(java.lang.String id,
                        boolean b)

  Sets the skin feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isSkinEnabled

    boolean isSkinEnabled()

  Determines whether the skin feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isSkinEnabled

    boolean isSkinEnabled(java.lang.String id)

  Determines whether the skin feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setPopupMenuEnabled

    void setPopupMenuEnabled(boolean b)

  Sets the pop up menu enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### setPopupMenuEnabled

    void setPopupMenuEnabled(java.lang.String id,
                             boolean b)

  Sets the pop up menu enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isPopupMenuEnabled

    boolean isPopupMenuEnabled()

  Determines whether the pop up menu is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isPopupMenuEnabled

    boolean isPopupMenuEnabled(java.lang.String id)

  Determines whether the pop up menu is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setDrillEnabled

    void setDrillEnabled(boolean b)

  Sets the drill feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### setDrillEnabled

    void setDrillEnabled(java.lang.String id,
                         boolean b)

  Sets the drill feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isDrillEnabled

    boolean isDrillEnabled()

  Determines whether the drill feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isDrillEnabled

    boolean isDrillEnabled(java.lang.String id)

  Determines whether the drill feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setRefreshEnabled

    void setRefreshEnabled(boolean b)

  Sets the refresh feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### setRefreshEnabled

    void setRefreshEnabled(java.lang.String id,
                           boolean b)

  Sets the refresh feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isRefreshEnabled

    boolean isRefreshEnabled()

  Determines whether the refresh feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isRefreshEnabled

    boolean isRefreshEnabled(java.lang.String id)

  Determines whether the refresh feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setResetEnabled

    void setResetEnabled(boolean b)

  Sets the reset feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### setResetEnabled

    void setResetEnabled(java.lang.String id,
                         boolean b)

  Sets the reset feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isResetEnabled

    boolean isResetEnabled()

  Determines whether the reset feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isResetEnabled

    boolean isResetEnabled(java.lang.String id)

  Determines whether the reset feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setUnredoEnabled

    void setUnredoEnabled(boolean b)

  Sets the undo/redo feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### setUnredoEnabled

    void setUnredoEnabled(java.lang.String id,
                          boolean b)

  Sets the undo/redo feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isUnredoEnabled

    boolean isUnredoEnabled()

  Determines whether the undo/redo feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isUnredoEnabled

    boolean isUnredoEnabled(java.lang.String id)

  Determines whether the undo/redo feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setNavEnabled

    void setNavEnabled(boolean b)

  Sets the navigation feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### setNavEnabled

    void setNavEnabled(java.lang.String id,
                       boolean b)

  Sets the navigation feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isNavEnabled

    boolean isNavEnabled()

  Determines whether the navigation feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isNavEnabled

    boolean isNavEnabled(java.lang.String id)

  Determines whether the navigation feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setCreateEnabled

    void setCreateEnabled(boolean b)

  Sets the new feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### setCreateEnabled

    void setCreateEnabled(java.lang.String id,
                          boolean b)

  Sets the new feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isCreateEnabled

    boolean isCreateEnabled()

  Determines whether the new feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isCreateEnabled

    boolean isCreateEnabled(java.lang.String id)

  Determines whether the new feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setMenuEnabled

    void setMenuEnabled(boolean b)

  Sets the menu feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### setMenuEnabled

    void setMenuEnabled(java.lang.String id,
                        boolean b)

  Sets the menu feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isMenuEnabled

    boolean isMenuEnabled()

  Determines whether the menu feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isMenuEnabled

    boolean isMenuEnabled(java.lang.String id)

  Determines whether the menu feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setToolbarEnabled

    void setToolbarEnabled(boolean b)

  Sets the toolbar feature enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### setToolbarEnabled

    void setToolbarEnabled(java.lang.String id,
                           boolean b)

  Sets the toolbar feature enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isToolbarEnabled

    boolean isToolbarEnabled()

  Determines whether the toolbar feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isToolbarEnabled

    boolean isToolbarEnabled(java.lang.String id)

  Determines whether the toolbar feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setAdvanceUserEnabled

    void setAdvanceUserEnabled(boolean b)

  Sets the advanceuser mode enabled.

  Parameters:
    `b` - If true, this DHTML mode is enabled; disabled otherwise

### setAdvanceUserEnabled

    void setAdvanceUserEnabled(java.lang.String id,
                               boolean b)

  Sets the advanceuser mode enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML mode is enabled; disabled otherwise

### isAdvanceUserEnabled

    boolean isAdvanceUserEnabled()

  Determines whether the advanceuser mode is enabled.

  Returns:
    true if this DHTML mode is enabled; false otherwise

### isAdvanceUserEnabled

    boolean isAdvanceUserEnabled(java.lang.String id)

  Determines whether the advanceuser mode is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML mode is enabled; false otherwise

### setTocGroupbyNameVisible

    void setTocGroupbyNameVisible(boolean b)

  Sets feature that display groupby field name before each TOC entry enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### setTocGroupbyNameVisible

    void setTocGroupbyNameVisible(java.lang.String id,
                                  boolean b)

  Sets feature that display groupby field name before each TOC entry enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; disabled otherwise

### isTocGroupbyNameVisible

    boolean isTocGroupbyNameVisible()

  Determines whether display Groupby field name before each TOC entry feature is enabled.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### isTocGroupbyNameVisible

    boolean isTocGroupbyNameVisible(java.lang.String id)

  Determines whether display Groupby field name before each TOC entry feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setTocVisible

    void setTocVisible(java.lang.String id,
                       boolean b)

  Sets the Table Of Content visible.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML component is visible; invisible otherwise

### isTocVisible

    boolean isTocVisible(java.lang.String id)

  Determines whether the Table Of Content is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML component is visible; false otherwise

### setToolbarVisible

    void setToolbarVisible(java.lang.String id,
                           boolean b)

  Sets the Toolbar visible.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML component is visible; invisible otherwise

### isToolbarVisible

    boolean isToolbarVisible(java.lang.String id)

  Determines whether the Toolbar is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML component is visible; false otherwise

### setUserbarVisible

    void setUserbarVisible(java.lang.String id,
                           boolean b)

  Sets the user information panel visible.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML component is visible; invisible otherwise

### isUserbarVisible

    boolean isUserbarVisible(java.lang.String id)

  Determines whether the user information panel is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML component is visible; false otherwise

### setMainMenuVisible

    void setMainMenuVisible(java.lang.String id,
                            boolean b)

### isMainMenuVisible

    boolean isMainMenuVisible(java.lang.String id)

### setNavibarVisible

    void setNavibarVisible(java.lang.String id,
                           boolean b)

  Sets the Navigation bar visible.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML component is visible; invisible otherwise

### isNavibarVisible

    boolean isNavibarVisible(java.lang.String id)

  Determines whether the Navigation bar is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML component is visible; false otherwise

### setRefreshInterval

    void setRefreshInterval(java.lang.String id,
                            int timeout)
                            throws java.io.IOException

  Sets the user session expiring time, in seconds.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `timeout` - the user session expiring time, in seconds.
  Throws:
    `java.io.IOException`

### getRefreshInterval

    int getRefreshInterval(java.lang.String id)

  Return the user expiring time, in seconds.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    the user session expiring time, in seconds.

### isLocalSave

    boolean isLocalSave(java.lang.String id)

  Determines whether the save location is local.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    whether the save location is local

### getRstFileName

    java.lang.String getRstFileName(java.lang.String id)

  Gets the save result file name.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the save result file name

### copyRstFile

    byte[] copyRstFile(java.lang.String id)
                       throws java.io.IOException

  Copy a part result file into the byte array. This method only gets a part contents each time. You must call this method many times until it return null. For example, byte b[]; while ( (b = getRstFile(id)) != null ) { out.write(b); }

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    null reach end of file and file is closed. Otherwise, return a part file content from current position. If file is not opened file is opened.
  Throws:
    `java.io.IOException`

### isSupport

    boolean isSupport(java.lang.String user_agent)

  Determines whether the user agent (browser) is supported.

  Parameters:
    `user_agent` - name string of User Agent
  Returns:
    true If this user agent is supported; false otherwise

### setUserAgent

    void setUserAgent(java.lang.String user_agent)

  Sets the user agent infomation.

  Parameters:
    `user_agent` - name string of User Agent

### addExpiryListener

    void addExpiryListener(java.lang.String id)

  Adds the ExpiryListener to the specified UserSession.

  Parameters:
    `id` - the user session id.

### setMainPage

    void setMainPage(java.lang.String filePath)

  Sets the path and filename of user's main page, which is used to customize the user's own main page. for example: /dhtmljsp/mainpage.jsp

  Parameters:
    `filePath` - the path and filename of user's main page

### getMainPage

    java.lang.String getMainPage()

  Get the path and filename of user main page.

  Returns:
    the path and filename of the user main page

### setReportScroll

    void setReportScroll(java.lang.String id,
                         int type)

  Sets the report frame scrollbar type.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `type` - DHTMLConstant.SCROLLAUTO, DHTMLConstant.SCROLLYES, DHTMLConstant.SCROLLNO

### getReportScroll

    int getReportScroll(java.lang.String id)

  Gets the report frame scrollbar type.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    the report frame scrollbar type

### setIgnoreServerSetting

    void setIgnoreServerSetting(boolean b)

  Sets whether to ignore server settings.

  Parameters:
    `b` - true to ignore server settings; false otherwise

### isIgnoreServerSetting

    boolean isIgnoreServerSetting()

  Determines whether the server settings are ignored.

  Returns:
    true if the server settings are ignored; false otherwise

### getUserEncoding

    java.lang.String getUserEncoding(java.lang.String id)

  Gets the user encoding informations according to the user id.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the user encoding information

### getDHTMLToolkit

    DHTMLToolkit getDHTMLToolkit()

  Gets the DHTMLToolkit.

  Returns:
    the DHTMLToolkit
  See Also:
    `DHTMLToolkit`

### getOpenedReports

    int getOpenedReports(java.lang.String id)

  Gets the number of opened reports.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    the number of opened reports.

### getReportName

    java.lang.String getReportName(java.lang.String id,
                                   int index)

  Gets the report name by index.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
    `index` - the report index.
  Returns:
    the report name.

### isFirstDetail

    boolean isFirstDetail(java.lang.String id)

  Determines whether the current detail report is the first detail report.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    true If the current detail report is the first detail report; false otherwise.

### isLastDetail

    boolean isLastDetail(java.lang.String id)

  Determines whether the current detail report is the last detail report.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    true If the current detail report is the last detail report; false otherwise.

### isDetailReport

    boolean isDetailReport(java.lang.String id)

  Determines whether the current report is the detail report.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    true If the current report is the detail report; false otherwise.

### setJsFolder

    void setJsFolder(java.lang.String folderName)

  set the DHTML javascript folder name.

  Parameters:
    `folderName` - the folder name.

### setCssFolder

    void setCssFolder(java.lang.String folderName)

  set the DHTML css folder name.

  Parameters:
    `folderName` - the folder name.

### setImageFolder

    void setImageFolder(java.lang.String folderName)

  set the DHTML image folder name.

  Parameters:
    `folderName` - the folder name.

### setDHTMLJSPPath

    void setDHTMLJSPPath(java.lang.String pathName)

  set the DHTML JSP path name.

  Parameters:
    `pathName` - the DHTML JSP path name.

### setUserAutoRefresh

    void setUserAutoRefresh(java.lang.String id,
                            boolean autoRefresh)

  Sets the user refresh informations according to the user id.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `autoRefresh` - If true, the DHTML page will be refreshed automatically; false otherwise

### getUserAutoRefresh

    boolean getUserAutoRefresh(java.lang.String id)

  Gets the user refresh informations according to the user id.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise

### setAutoRefresh

    void setAutoRefresh(boolean autoRefresh)

  Sets refresh informations.

  Parameters:
    `autoRefresh` - If true, the DHTML page will be refreshed automatically; false otherwise

### getAutoRefresh

    boolean getAutoRefresh()

  Gets refresh informations.

  Returns:
    true if this DHTML feature is enabled; false otherwise

### setContextPath

    void setContextPath(java.lang.String strPath)

  Set the server context path

  Parameters:
    `strPath` - the server context path

### initMainPage

    java.lang.String initMainPage(java.lang.String id,
                                  java.util.Hashtable params)
                                  throws java.io.IOException,
                                         RptServerException

  init the mainpage

  Parameters:
    `id` - the user session id.
    `params` - Hashtable params the init parameter If you will use relative path in dhtml, param params should contain three parameter as following : DHTMLConstant.DHTML_SERVLET_PATH, the value is dhtml servlet path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTML)), DHTMLConstant.DHTML_JSP_PATH, the value is dhtml jsp path that can be got like this:: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTMLJSP)), DHTMLConstant.DHTML_HELP_PATH, the value is dhtml help servlet path that can be got like this:: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_HELP)).
  Throws:
    `java.io.IOException`
    `RptServerException`

### getRSTRemoteFullPath

    java.lang.String getRSTRemoteFullPath(java.lang.String id)

  get the RST remote full path

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.

### setFrameEnabled

    void setFrameEnabled(boolean b)

  Sets the frame mode enabled.

  Parameters:
    `b` - If true, this DHTML frame mode is enabled; otherwise this DHTML frame mode is disabled.

### setFrameEnabled

    void setFrameEnabled(java.lang.String id,
                         boolean b)

  Sets the frame mode enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML frame mode is enabled; otherwise this DHTML frame mode is disabled.

### isFrameEnabled

    boolean isFrameEnabled()

  Determines whether frame mode is enabled

  Returns:
    true if this DHTML frame mode is enabled; false otherwise

### isFrameEnabled

    boolean isFrameEnabled(java.lang.String id)

  Determines whether frame mode is enabled

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML frame mode is enabled; false otherwise

### setErrorPage

    void setErrorPage(java.lang.String filePath)

  Sets the path and filename of user's error page, which is used to customize the user's own error page. for example: /dhtmljsp/errorpage.jsp

  Parameters:
    `filePath` - the path and filename of user's error page

### customizeToolbar

    void customizeToolbar(java.lang.String id,
                          int buttonId,
                          boolean isVisible)

  Customizes the toolbar buttons and specifies whether the buttons are visible.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `buttonId` - the buttonId constant for the toolbar. The buttonId argument is an integer bitmask that can be DHTMLConstant.BTN_UNDO, DHTMLConstant.BTN_REDO, DHTMLConstant.BTN_SEARCH, DHTMLConstant.BTN_PREVIOUS_SEARCH, DHTMLConstant.BTN_NEXT_SEARCH, DHTMLConstant.BTN_FILTER, DHTMLConstant.BTN_SORT, DHTMLConstant.BTN_SAVE, DHTMLConstant.BTN_PRINT, DHTMLConstant.BTN_REFRESH, DHTMLConstant.BTN_RESET, DHTMLConstant.BTN_EXPORT_TO_PDF, BTN_EXPORT_TO_EXCEL, BTN_EXPORT_TO_RTF, BTN_EXPORT_TO_HTML, BTN_EXPORT_TO_TEXT, BTN_EXPORT_TO_PS, BTN_EXPORT_TO_XML, DHTMLConstant.BTN_EXIT, DHTMLConstant.BTN_HELP, and DHTMLConstant.BTN_ALL, or a bitwise union of them (for example, DHTMLConstant.BTN_UNDO | DHTMLConstant.BTN_REDO).
    `isVisible` - true if the buttions are visible

### customizeToolbar

    void customizeToolbar(java.lang.String id,
                          int buttonId,
                          boolean isVisible,
                          java.lang.String method)

  Customizes the toolbar buttons and specifies whether the buttons are visible and the action of the button.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.
    `buttonId` - the buttonId constant for the toolbar. The buttonId argument is an integer bitmask that can be DHTMLConstant.BTN_UNDO, DHTMLConstant.BTN_REDO, DHTMLConstant.BTN_SEARCH, DHTMLConstant.BTN_PREVIOUS_SEARCH, DHTMLConstant.BTN_NEXT_SEARCH, DHTMLConstant.BTN_FILTER, DHTMLConstant.BTN_SORT, DHTMLConstant.BTN_SAVE, DHTMLConstant.BTN_PRINT, DHTMLConstant.BTN_REFRESH, DHTMLConstant.BTN_RESET, DHTMLConstant.BTN_EXPORT_TO_PDF, BTN_EXPORT_TO_EXCEL, BTN_EXPORT_TO_RTF, BTN_EXPORT_TO_HTML, BTN_EXPORT_TO_TEXT, BTN_EXPORT_TO_PS, BTN_EXPORT_TO_XML, DHTMLConstant.BTN_EXIT, DHTMLConstant.BTN_HELP, and DHTMLConstant.BTN_ALL.
    `isVisible` - true if the buttions are visible
    `method` - the method corresponds with the buttonId, method are used for saving the action of button. The method will be invoked when the button was clicked.

### setReportNum

    void setReportNum(java.lang.String id,
                      int rptNum)

  Set the report number can run in one session

  Parameters:
    `id` - the user session id.

### closeDHTMLReport

    void closeDHTMLReport(java.lang.String id,
                          java.lang.String reportId)
                          throws RptServerException,
                                 java.io.IOException

  Close the special report

  Parameters:
    `id` - the user session id.
    `reportId` - the report id
  Throws:
    `RptServerException`
    `java.io.IOException`

### setReportTimeout

    void setReportTimeout(java.lang.String id,
                          int time)

  Sets the report expiring time, in seconds.

  Parameters:
    `time` - the report expiring time, in seconds.
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will influence both all opened reports in session and the following ones. when it is the report runtime id, it only influences the report specified by this runtime id.

### getReportTimeout

    int getReportTimeout(java.lang.String id)

  Get the report expiring time, in seconds.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;

### getReportsId

    java.util.List getReportsId(java.lang.String id)

  Get all the report id in the session

  Parameters:
    `id` - the user session id.

### getRuntimesId

    java.util.List getRuntimesId(java.lang.String id)

  Get all the report keys in the session

  Parameters:
    `id` - the user session id.

### getRuntimesId

    java.util.List getRuntimesId(java.lang.String id,
                                 java.lang.String fullCatalogName,
                                 java.lang.String fullReportName)

  Get all the report keys in the session

  Parameters:
    `id` - the user session id.
    `fullCatalogName` - the full catalog name
    `fullReportName` - the full report name

### setApplyToOpenedReports

    void setApplyToOpenedReports(java.lang.String id,
                                 boolean isApply)

  Determines whether all of the opened reports in session will be affected when set the session properties

  Parameters:
    `isApply` - If true, all of the opened reports in session will be affected false otherwise.
    `id` - the user session id.

### getNewOpenedRuntimeId

    java.lang.String getNewOpenedRuntimeId(java.lang.String id)

  Get all the report keys in the session

  Parameters:
    `id` - the user session id.

### setDisplayNameSortEnabled

    void setDisplayNameSortEnabled(java.lang.String id,
                                   boolean isEnabled)

  Sets sort column display name enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
    `isEnabled` - If true, this DHTML feature is enabled; otherwise this DHTML feature is disabled.

### isDisplayNameSortEnabled

    boolean isDisplayNameSortEnabled(java.lang.String id)

  Determines whether the sort column display name is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; false otherwise.

### setSortDisplayNameSortType

    void setSortDisplayNameSortType(java.lang.String id,
                                    int sortType)

  Sets the sort type of sort panel column display name sort.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
    `sortType` - the sort type of column display name sort; the value is DHTMLConstant.ASCENDING or DHTMLConstant.DESCENDING or DHTMLConstant.NOTSORTED.

### getSortDisplayNameSortType

    int getSortDisplayNameSortType(java.lang.String id)

  Determines the sort type of sort panel column display name sort.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    the sort type of column display name sort.

### setFilterDisplayNameSortType

    void setFilterDisplayNameSortType(java.lang.String id,
                                      int sortType)

  Sets the sort type of filter panel column display name sort.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
    `sortType` - the sort type of column display name sort; the value is DHTMLConstant.ASCENDING or DHTMLConstant.DESCENDING or DHTMLConstant.NOTSORTED.

### getFilterDisplayNameSortType

    int getFilterDisplayNameSortType(java.lang.String id)

  Determines the sort type of filter panel column display name sort.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    the sort type of column display name sort.

### setSearchDisplayNameSortType

    void setSearchDisplayNameSortType(java.lang.String id,
                                      int sortType)

  Sets the sort type of search dialog column display name sort.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
    `sortType` - the sort type of column display name sort; the value is DHTMLConstant.ASCENDING or DHTMLConstant.DESCENDING or DHTMLConstant.NOTSORTED.

### getSearchDisplayNameSortType

    int getSearchDisplayNameSortType(java.lang.String id)

  Determines the sort type of search dialog column display name sort.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties in session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    the sort type of column display name sort.

### getQueueSize

    int getQueueSize()

### getMaxConcurrent

    int getMaxConcurrent()

### isRestrictAction

    boolean isRestrictAction(int intOP)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD